;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; FLOPPY.ASM - Floppy disk control system
;; (c) 2001 Breckin Loggins
;; 
;; THIS CODE IS DISTRIBUTED UNDER THE TERMS OF THE GPL
;; SEE FILE "COPYING" FOR DETAILS

;; Note:  This stuff should be implemented as a system service/device driver
;;	   whenever the messaging system is in place

; FUNCTION EXPORTS
GLOBAL _killFloppyMotor


;; FUNCTION: _killFloppyMotor
;; ARGS: none
;; PURPOSE: Shuts of the stupid floppy motor sense the FDC is too stupid
;;          to do it by itself

_killFloppyMotor:

	push eax
	push edx
	
	mov dx, 0x3f2
	mov al, 0x0		; Reset and kill motor
	out dx, al		; Send to FDC port
	
	pop edx
	pop eax
	ret
	
; End _killFloppyMotor